> For the complete documentation index, see [llms.txt](https://docs.susano.re/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.susano.re/api-reference/http-request/httpget.md).

# HttpGet

## Syntax

```lua
Susano.HttpGet(string) -> number, string
```

## Parameters

{% hint style="info" %}
`url` (string): Absolute URL.
{% endhint %}

## Return(s)

{% hint style="info" %}
`status` (number): HTTP status code (e.g., 200).

`body` (string): Response body.

On error: `nil, err` (string).
{% endhint %}

## Behavior

{% hint style="info" %}
Blocking call. Runs on the calling thread.

Follows redirects. Accepts gzip/deflate.

TLS verification enabled.

No custom headers or timeout in this variant.

Body may be binary; use `#body` for length.
{% endhint %}

## Example(s)

```lua
local st, body = Susano.HttpGet("https://httpbin.org/get")
if not st then 
    print("GET failed:", body) 
else 
    print("GET", st, #body) 
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.susano.re/api-reference/http-request/httpget.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
